using System;
using System.Collections.Generic;
using System.Text;
using Halo3Map.Data;

namespace Halo3Map.BLF
{
    public class mapV : Chunk
    {
        #region Layout
        [Size(4)]
        public char[] mapv;
        public int fileSize;
        public short unknown8;
        public short unknown10;
        [Size(12)]
        public byte[] unknown12;
        [String(StringType.Unicode, 32)]
        public string mapName;
        [String(128)]
        public string mapDescription;
        [String(16)]
        public string authorProfile;
        public int unknown200;
        public int unknown204;
        public int unknown208;
        public int unknown212;
        public int unknown216;
        public int unknown220;
        public int unknown224;
        public int unknown228;
        #endregion
    }
}
